aboutsummaryrefslogtreecommitdiffstats
path: root/dist/man.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dist/man.sh')
-rwxr-xr-xdist/man.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/dist/man.sh b/dist/man.sh
new file mode 100755
index 000000000..5244e49a7
--- /dev/null
+++ b/dist/man.sh
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+cd $(dirname $0)/..
+
+rm -rf doc/_build/man/*
+
+set -e
+
+docker run --rm -it \
+ -v /$(pwd):/src \
+ -w //src/doc \
+ btdi/sphinx:py2-featured \
+ sh -c "sphinx-build -T -b man . ./_build/man"
+
+nroff -man doc/_build/man/ghdl.1